Subject: Re: Efika, initrd and current kernel

From: Matt Sealey <[email-masked]>
Date: Sun, 30 Sep 2007 17:22:13 +0100

How did you attach the initrd to the kernel?

Compiled in using the initramfs feature, or did you use mkvmlinuz (debian/ubuntu)
or mkzImage (suse) or have genkernel build it (--genzimage) on Gentoo? It looks
like you're trying to boot Gentoo from the boot line..

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations

Jon Smirl wrote:
> On 9/30/07, Sven Luther <[email-masked]> wrote:
>> On Sun, Sep 30, 2007 at 10:09:47AM -0400, Jon Smirl wrote:
>>> On 9/30/07, Matt Sealey <[email-masked]> wrote:
>>>> How did you build the kernel?
>>> I attached the .config
>>> Am I supposed to have both chrp and efika selected?
>> I think so, yes.
> 
> I have then both selected.
> 
> I'm sure it is something simple about how I have my kernel configured
> wrong but I can't figure out what it is. I have BLK_INITRD turned on.
> I can trace in the initrd code and see that it is exiting because
> strat_initrd is not set. start_initrd is set in the platform specfic
> code which I haven't figured out yet.
> 
> 
>> Friendly,
>>
>> Sven Luther
>>
> 
>